Get my calendar
Read your own calendar entries for a period.
GET https://cotlet.dev/api/v1/officient/calendar
read
Returns your absences, overtime and home office entries with the day, the type and whether it covers a full day, a half day or hours. Sorted by date. Use it to check what a request or an overtime entry did.
Parameters
| Name | Type | Description |
|---|---|---|
| from_date string required | string | First day, ISO date (2026-11-09). |
| to_date string required | string | Last day, ISO date (2026-11-13). |
Request
curl "https://cotlet.dev/api/v1/officient/calendar?from_date=from+date&to_date=to+date" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("officient", "get_calendar", {"from_date":"from date","to_date":"to date"}) const result = await cotlet.call('officient', 'get_calendar', {"from_date":"from date","to_date":"to date"}); cotlet call officient get_calendar --data '{"from_date":"from date","to_date":"to date"}' Example response
{
"entries": [
{
"date": "2026-11-09",
"type": "Holiday",
"day_part": "full_day"
},
{
"date": "2026-11-10",
"type": "Holiday",
"day_part": "full_day"
}
],
"total": 2
}